<?php
/**
 * The template for displaying product search form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/product-searchform.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see     http://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.5.0
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>
<form role="search" method="get" id="searchform" class="woocommerce-product-search search-form" action="<?php echo esc_url( home_url( '/'  ) ); ?>" _lpchecked="1">
	<fieldset>
		<label class="screen-reader-text" for="s"><?php _e( 'Search for:', 'mythemeshop' ); ?></label>
		<input type="search" id="s" class="search-field" placeholder="<?php echo esc_attr_x( 'Search Products&hellip;', 'placeholder', 'mythemeshop' ); ?>" value="<?php echo get_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'mythemeshop' ); ?>" <?php if (!empty($mts_options['mts_ajax_search'])) echo ' autocomplete="off"'; ?> />
		<input id="search-image" class="sbutton" type="submit" value="<?php _e('Search', 'mythemeshop'); ?>" />
		<input type="hidden" name="post_type" value="product" class="post-type-input" />
		<i class="fa fa-search"></i>
	</fieldset>
</form>